org.apache.ignite.internal.visor.cache.metrics

## Enum CacheMetricsOperation

- java.lang.Object
- - java.lang.Enum<CacheMetricsOperation>
  - - org.apache.ignite.internal.visor.cache.metrics.CacheMetricsOperation

All Implemented Interfaces:
  Serializable, Comparable<CacheMetricsOperation>

    public enum CacheMetricsOperation
    extends Enum<CacheMetricsOperation>

Enum for cache metrics command operations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLE` Disable operation.
`ENABLE` Enable operation.
`STATUS` Status operation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @Nullable CacheMetricsOperation` `of(String strRep)`
`String` `toString()`
`static CacheMetricsOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheMetricsOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENABLE

    public static final CacheMetricsOperation ENABLE

Enable operation.

#### DISABLE

    public static final CacheMetricsOperation DISABLE

Disable operation.

#### STATUS

    public static final CacheMetricsOperation STATUS

Status operation.

### Method Detail

#### values

    public static CacheMetricsOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheMetricsOperation c : CacheMetricsOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheMetricsOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    @Nullable
    public static @Nullable CacheMetricsOperation of(String strRep)

Parameters:
  `strRep` - String representation of operation.
Returns:
  Operation corresponding to the specified string representation.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CacheMetricsOperation>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022